- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Namespaces | Enumerations | Functions

# qdrawutil.h File Reference

`#include <QtCore/qnamespace.h>`
`#include <QtCore/qstring.h>`
`#include <QtCore/qmargins.h>`
`#include <QtGui/qpixmap.h>`

Go to the source code of this file.

## Classes
struct | QTileRules
## Namespaces
namespace | QDrawBorderPixmap
## Enumerations
enum | DrawingHint { OpaqueTopLeft = 0x0001, OpaqueTop = 0x0002, OpaqueTopRight = 0x0004, OpaqueLeft = 0x0008, OpaqueCenter = 0x0010, OpaqueRight = 0x0020, OpaqueBottomLeft = 0x0040, OpaqueBottom = 0x0080, OpaqueBottomRight = 0x0100, OpaqueCorners = OpaqueTopLeft | OpaqueTopRight | OpaqueBottomLeft | OpaqueBottomRight, OpaqueEdges = OpaqueTop | OpaqueLeft | OpaqueRight | OpaqueBottom, OpaqueFrame = OpaqueCorners | OpaqueEdges, OpaqueAll = OpaqueCenter | OpaqueFrame }
## Functions
Q_GUI_EXPORT void | qDrawShadeLine (QPainter *p, int x1, int y1, int x2, int y2, const QPalette &pal, bool sunken=true, int lineWidth=1, int midLineWidth=0)
Q_GUI_EXPORT void | qDrawShadeLine (QPainter *p, const QPoint &p1, const QPoint &p2, const QPalette &pal, bool sunken=true, int lineWidth=1, int midLineWidth=0)
Q_GUI_EXPORT void | qDrawShadeRect (QPainter *p, int x, int y, int w, int h, const QPalette &pal, bool sunken=false, int lineWidth=1, int midLineWidth=0, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawShadeRect (QPainter *p, const QRect &r, const QPalette &pal, bool sunken=false, int lineWidth=1, int midLineWidth=0, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawShadePanel (QPainter *p, int x, int y, int w, int h, const QPalette &pal, bool sunken=false, int lineWidth=1, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawShadePanel (QPainter *p, const QRect &r, const QPalette &pal, bool sunken=false, int lineWidth=1, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawWinButton (QPainter *p, int x, int y, int w, int h, const QPalette &pal, bool sunken=false, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawWinButton (QPainter *p, const QRect &r, const QPalette &pal, bool sunken=false, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawWinPanel (QPainter *p, int x, int y, int w, int h, const QPalette &pal, bool sunken=false, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawWinPanel (QPainter *p, const QRect &r, const QPalette &pal, bool sunken=false, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawPlainRect (QPainter *p, int x, int y, int w, int h, const QColor &, int lineWidth=1, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawPlainRect (QPainter *p, const QRect &r, const QColor &, int lineWidth=1, const QBrush *fill=0)
Q_GUI_EXPORT void | qDrawBorderPixmap (QPainter *painter, const QRect &targetRect, const QMargins &targetMargins, const QPixmap &pixmap, const QRect &sourceRect, const QMargins &sourceMargins, const QTileRules &rules=QTileRules(), QDrawBorderPixmap::DrawingHints hints=0)
void | qDrawBorderPixmap (QPainter *painter, const QRect &target, const QMargins &margins, const QPixmap &pixmap)

## Function Documentation

Q_GUI_EXPORT void qDrawShadeLine | ( | QPainter * | p,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | const QPalette & | pal,
|  | bool | sunken = `true`,
|  | int | lineWidth = `1`,
|  | int | midLineWidth = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawShadeLine | ( | QPainter * | p,
|  | const QPoint & | p1,
|  | const QPoint & | p2,
|  | const QPalette & | pal,
|  | bool | sunken = `true`,
|  | int | lineWidth = `1`,
|  | int | midLineWidth = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawShadeRect | ( | QPainter * | p,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | int | lineWidth = `1`,
|  | int | midLineWidth = `0`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawShadeRect | ( | QPainter * | p,
|  | const QRect & | r,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | int | lineWidth = `1`,
|  | int | midLineWidth = `0`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawShadePanel | ( | QPainter * | p,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | int | lineWidth = `1`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawShadePanel | ( | QPainter * | p,
|  | const QRect & | r,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | int | lineWidth = `1`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawWinButton | ( | QPainter * | p,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawWinButton | ( | QPainter * | p,
|  | const QRect & | r,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawWinPanel | ( | QPainter * | p,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawWinPanel | ( | QPainter * | p,
|  | const QRect & | r,
|  | const QPalette & | pal,
|  | bool | sunken = `false`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawPlainRect | ( | QPainter * | p,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QColor & | ,
|  | int | lineWidth = `1`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawPlainRect | ( | QPainter * | p,
|  | const QRect & | r,
|  | const QColor & | ,
|  | int | lineWidth = `1`,
|  | const QBrush * | fill = `0`
| ) |  |

Search for all occurrences

Q_GUI_EXPORT void qDrawBorderPixmap | ( | QPainter * | painter,
|  | const QRect & | targetRect,
|  | const QMargins & | targetMargins,
|  | const QPixmap & | pixmap,
|  | const QRect & | sourceRect,
|  | const QMargins & | sourceMargins,
|  | const QTileRules & | rules = `QTileRules()`,
|  | QDrawBorderPixmap::DrawingHints | hints = `0`
| ) |  |

Search for all occurrences

void qDrawBorderPixmap | ( | QPainter * | painter,
|  | const QRect & | target,
|  | const QMargins & | margins,
|  | const QPixmap & | pixmap
| ) |  | `[inline]`

Search for all occurrences

Definition at line 183 of file qdrawutil.h.

    {
        qDrawBorderPixmap(painter, target, margins, pixmap, pixmap.rect(), margins);
    }